Issue 79712

Summary: it must be possible to disable the accelarator also for awt/controls
Product: gsl Reporter: sven.jacobi
Component: codeAssignee: joerg.skottke
Status: CLOSED FIXED QA Contact: issues@gsl <issues>
Severity: Trivial    
Priority: P3 CC: issues, weike.liang
Version: 680m220   
Target Milestone: OOo 2.4   
Hardware: All   
OS: All   
Issue Type: PATCH Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 72764    
Attachments:
Description Flags
All of the changes are involved in the two modules: toolkit and offapi.
none
Image of faulty behavior
none
Now the new property is removed from all the controls except "FixedText". none

Description sven.jacobi 2007-07-17 17:04:23 UTC
In vcl when using the win bits "WB_NOLABEL" the accelerator for each control can
be disabled. So this has to be supported by the awt/toolkit also, so that every
extension can turn of the accelerator feature.
Comment 1 carsten.driesner 2007-07-24 09:24:33 UTC
cd: Accepted.
Comment 2 liangweike 2007-11-06 03:32:27 UTC
Created attachment 49442 [details]
All of the changes are involved in the two modules: toolkit and offapi.
Comment 3 liangweike 2007-11-06 03:35:46 UTC
liangweike->cd: Thank you for your instruction.
Comment 4 carsten.driesner 2007-11-07 10:08:56 UTC
cd: Set issue to patch, provided by liangweike.
Comment 5 carsten.driesner 2007-11-07 10:21:42 UTC
cd: Patch integrated into fwk78.
Comment 6 carsten.driesner 2007-11-09 10:50:01 UTC
cd->jsk: Please verify. This patch adds a new property "NoLabel" where you can
enable/disable the automatic shortcut feature from VCL. VCL adds shortcuts (a
underscore for the character that can be activated using ALT+char ) to labels
which are in front of an edit or other controls that can receive the focus. If
the property is set to "true" no underscore should be visible.
Comment 7 joerg.skottke 2007-11-20 08:26:41 UTC
Fixed but failed. On Linux we have two possible states

1) No label = No -> the expected underscore is present
2) No label = Yes -> we have a ~ before the label
Comment 8 joerg.skottke 2007-11-20 08:34:08 UTC
Created attachment 49763 [details]
Image of faulty behavior
Comment 9 joerg.skottke 2007-11-20 08:36:02 UTC
BTW: Why do we work with a double negation here? Would it not be more smart to
name the property "Add accelerator" with the default "Yes"? (or something like
that?)
Comment 10 joerg.skottke 2007-11-20 08:47:49 UTC
The control tested is the "command button", platform is Linux (Fedora 7)
Comment 11 carsten.driesner 2007-11-20 09:44:20 UTC
cd: Fixed. The new property is only supported by the "Fixed Text" control.
Therefore the properties have to be removed from all other controls.
Comment 12 carsten.driesner 2007-11-20 11:43:15 UTC
cd->jsk: Please verify.
Comment 13 joerg.skottke 2007-11-20 11:50:45 UTC
Verified, only the fixed text now has the new attribute
Comment 14 liangweike 2007-11-21 01:50:12 UTC
Created attachment 49781 [details]
Now the new property is removed from all the controls except "FixedText".
Comment 15 joerg.skottke 2008-03-12 10:32:42 UTC
Closed